Skip to main content

GET /api/market/global

Global Market Stats

Get global cryptocurrency market statistics.

Response Includes​

  • Total market cap
  • 24h trading volume
  • BTC/ETH dominance
  • Number of active cryptocurrencies
  • Fear & Greed Index

Pricing​

  • $0.01 per request

Endpoint​

GET https://api.web3identity.com/api/market/global

Example Request​

curl -s "https://api.web3identity.com/api/market/global" | jq

Responses​

200 Global market data​

400 Bad Request - Invalid parameters or malformed request​

{
"error": "Invalid parameter format",
"code": "INVALID_PARAMETER"
}

402 Payment Required - Free tier exhausted​

{
"example": "response"
}

404 Not Found - Resource does not exist​

{
"error": "Resource not found",
"code": "NOT_FOUND"
}

429 Rate Limited​

{
"example": "response"
}

500 Internal Server Error - Something went wrong on our end​

{
"error": "Internal server error",
"code": "INTERNAL_ERROR"
}

Auto-generated from OpenAPI spec